LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XDeleteRows Interface Referencepublished

provides for the deletion of more than one row at a time. More...

`import"XDeleteRows.idl";`

Inheritance diagram for XDeleteRows:

## Public Member Functions
sequence< long > | deleteRows ([in]sequence< any > rows) raises (com::sun::star::sdbc::SQLException)
| deletes one or more rows identified by their bookmarks. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides for the deletion of more than one row at a time.

## Member Function Documentation

## ◆ deleteRows()

sequence< long > deleteRows | ( | [in] sequence< any > | rows | ) |
raises | ( | com::sun::star::sdbc::SQLException
| ) |  |

deletes one or more rows identified by their bookmarks.

Parameters

  rows | list of bookmarks identifying the rows.

Returns
  an array of update counts containing one element for each row. The array is ordered according to the order in which bookmarks were given.

Exceptions

  com::sun::star::sdbc::SQLException | if a fatal error occurs, for instance, the connection gets lost if bookmarks are used which do not belong to the according result set.

The documentation for this interface was generated from the following file:

- com/sun/star/sdbcx/XDeleteRows.idl